Skip to main content
GET
/
transactions
/
{id}
Gets a transaction by ID for current user.
curl --request GET \
  --url https://api.leadping.ai/transactions/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "accountId": "<string>",
  "leadId": "<string>",
  "amount": 123,
  "netAmount": 123,
  "gatewayFeeAmount": 123,
  "gatewayStatus": "<string>",
  "gatewayId": "<string>",
  "platformFeeAmount": 123,
  "notes": "<string>",
  "description": "<string>",
  "paymentMethodDisplay": "<string>",
  "correlationId": "<string>",
  "createdBy": "<string>",
  "modifiedBy": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. (i.e. "Bearer 1234abcdef")

Path Parameters

id
string
required

The ID of the transaction to retrieve.

Response

Transaction was successfully retrieved.

id
string | null
createdAt
string<date-time>
modifiedAt
string<date-time> | null
accountId
string | null

Account ID (e.g. UserId)

leadId
string | null
amount
number<double>
netAmount
number<double>
gatewayFeeAmount
number<double> | null
gatewayStatus
string | null
gatewayId
string | null

Payment gateway provided id (e.g. Stripe Payment Intent ID)

platformFeeAmount
number<double> | null
notes
string | null
description
string | null
paymentMethodDisplay
string | null
transactionType
enum<string>
Available options:
Debit,
Adjustment,
Deposit
transactionStatus
enum<string>
Available options:
Pending,
Confirmed,
Failed
correlationId
string | null

Id to correlate related records (e.g. LeadId)

createdBy
string | null

User ID that created the record

modifiedBy
string | null

User ID that modified the record